## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-sysrsync
Version:        1.1.1
Release:        %autorelease
Summary:        Simple and safe python wrapper for calling system rsync

# SPDX
License:        MIT
URL:            https://github.com/gchamon/sysrsync
# PyPI source distributions lack tests; use the GitHub archive
Source:         %{url}/archive/%{version}/sysrsync-%{version}.tar.gz

# Declare build-system dependencies and correctly exclude tests from packaging
# https://github.com/gchamon/sysrsync/pull/39
Patch:          %{url}/pull/39.patch

# In Python 3.11 and later, use tomllib instead of toml
# https://github.com/gchamon/sysrsync/pull/42
# Rebased on 1.1.1 with https://github.com/gchamon/sysrsync/pull/39.
Patch:          0001-In-Python-3.11-and-later-use-tomllib-instead-of-toml.patch

BuildSystem:            pyproject
BuildOption(install):   -l sysrsync

BuildArch:      noarch

BuildRequires:  rsync

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n python3-sysrsync
Summary:        %{summary}

Requires:       rsync

%description -n python3-sysrsync %{common_description}


%check -a
# We cannot run the end-to-end-tests/ because they require Docker and network
# access, but we can run the unit tests.
%{py3_test_envvars} %{python3} -m unittest discover -v -s test/


%files -n python3-sysrsync -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Thu May 08 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.1-8
- F41+: Use the provisional pyproject declarative buildsystem

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Aug 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.1-5
- In Python 3.11 and later, use tomllib instead of toml
- Removes an unnecessary dependency

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1.1.1-3
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.1-1
- Initial package (close RHBZ#2259302)
## END: Generated by rpmautospec
